Bug 1385796 - [RFE] Grub Kickstart templates should be automatically associated with appropriate RHEL OS
Summary: [RFE] Grub Kickstart templates should be automatically associated with approp...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL: https://github.com/Katello/katello/pu...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-17 17:18 UTC by Roman Plevka
Modified: 2018-09-04 19:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:08:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Plevka 2016-10-17 17:18:17 UTC
Description of problem:
There is RHEL OS created automatically after syncing the appropriate RHEL repo.
I believe an appropriate Grub Kickstart template (which is precreated) should be associated with the OS as a part of this process.

Rhel7 -> Kickstart Default Grub2
Rhel6 -> Kickstart Default Grub

Currently, user need to make this association manually in order to use them despite the fact, that  both of the entities (template and os) are created automatically.

Version-Release number of selected component (if applicable):
sat6.3 snap3

Comment 2 Lukas Zapletal 2018-01-19 16:43:34 UTC
We are missing Setting["katello_default_#{kind.name}"] in Katello for those templates!

I actually propose 6.3 for this, usability problem for newcomers, trivial two liners, no risk.

Comment 4 Bryan Kearney 2018-09-04 18:57:24 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 5 Bryan Kearney 2018-09-04 19:08:21 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.